Bug 136955 - FILEOPEN DOCX Text in shape with direct formatting gets extra spacing before
Summary: FILEOPEN DOCX Text in shape with direct formatting gets extra spacing before
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:7.1.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-Paragraph
  Show dependency treegraph
 
Reported: 2020-09-22 14:39 UTC by NISZ LibreOffice Team
Modified: 2020-11-09 13:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Word (48.79 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-09-22 14:39 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (103.25 KB, image/png)
2020-09-22 14:39 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-09-22 14:39:14 UTC
Created attachment 165777 [details]
Example file from Word

This is a followup to bug #134784
Shape paragraphs if containing direct formatting (in this example: 6 pt spacing after) get a 12 pt (0.42 cm) spacing before, even if there is none set in direct formatting/style.
Before bug #134784 was fixed this happened to the first paragraph of text in shape, now only happens on second and later paragraphs.

Steps to reproduce:
    1. Open attached document

Actual results:
Second paragraph has 0.42 cm spacing before.
Third paragraph does not have any direct formatting and no extra spacing before either.

Expected results:
Second paragraph should not have spacing before.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 52a49f9e480ca03e231cfda82640a928393131c9
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-09-22 14:39:42 UTC
Created attachment 165778 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 Commit Notification 2020-10-09 15:38:21 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9b4bda5361f7ed06b07ab8dd59aeb77278c73195

tdf#136955 DOCX import: fix shape paragraph margins

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 NISZ LibreOffice Team 2020-11-09 13:04:16 UTC
Verified in:

Version: 7.1.0.0.alpha1+ (x64)
Build ID: d3cee4f3839e22754e167e89d25acd6ccacf0b6e
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded